* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
img {
  display: block;
  width: 100vw;
}

/* nested images */
figure {
  position: relative;
  width: 75%;
}
figcaption {
  position: absolute;
  top: 0;
  left: 0;
  width: 50%;
  overflow: hidden;
  white-space: nowrap;
  border-right: 4px solid white;
}
figure:hover {
  cursor: col-resize;
}

/* typography for lables - use VW for responsive text */
p {
  position: absolute;
  background-color: rgba(0, 0, 0, 0.7);
  color: white;
  font-family: Helvetica;
  font-size: 4vw;
  padding: 0.2em 0.5em;
}
figcaption > p {
  top: 0;
  left: 0;
}
figure > p {
  top: 0;
  right: 0;
}